--- 
# Setup and install k3s

- name: Create build folder
  file:
    state: directory
    mode: 0755
    path: ~/k3s/

- name: Copy Over PKGBuild and service 
  copy: 
    src: "k3s/{{ item }}"
    dest: "/home/{{ ansible_user }}/k3s/{{ item }}"
    mode: 0644
    owner: "{{ ansible_user }}"
    group: users
  loop: 
    - "PKGBUILD"
    - "k3s.service"
    - "k3s-agent.service"

- name: Build k3s
  raw: "cd /home/{{ ansible_user }}/k3s/; makepkg"
  ignore_errors: yes

- name: Install k3s
  pacman:
    name: "/home/{{ ansible_user }}/k3s/k3s-bin-0.6.1-1-aarch64.pkg.tar.xz"
    state: latest
  become: yes
  ignore_errors: yes

- name: Install necessary kernel modules
  modprobe: 
    name: "{{ item }}"
    state: present
  loop: 
    - "ip_conntrack"
    - "br_netfilter"
  become: true
  ignore_errors: yes
